#include <stddef.h>
#include <qapplication.h>
#include <qstring.h>
#include "tab.h"

class SeaApp : public QApplication {
  Q_OBJECT
  
public:
  SeaApp(int &argc, char **argv);

  Tab *tab;
  int home;
  time_t sleepTime;

public slots:
  void ciao();
  void fail();
  void procEvt();
  
private:
  bool notify(QObject *recevier, QEvent *e);
  time_t lastActive;
  time_t lastTimer;
  bool sleeping;
};
