TEMPLATE	= app
LANGUAGE	= C++

CONFIG	+= qt-mt warn_on thread debug static

QMAKE_CXXFLAGS_WARN_ON += -Wno-non-virtual-dtor -Wno-unused-parameter -Wno-write-strings \
  -Wno-unused-but-set-variable -Wno-type-limits

LIBS	+= -L$$(QWTDIR)/lib -lqwt

INCLUDEPATH	+= $$(QTDIR)/include
INCLUDEPATH	+= $$(QWTDIR)/include

HEADERS	+= main.h \
	seaset.h \
	seaplot.h \
	sicsconn.h \
	tab.h \
	settings.h \
	command.h \
	graph.h \
	utils.h \
	export.h \
	report.h \
	device.h

SOURCES	+= main.cpp \
	seaset.cpp \
	seaplot.cpp \
	instr_hosts.cpp \
	sicsconn.cpp \
	tab.cpp \
	settings.cpp \
	command.cpp \
	graph.cpp \
	utils.cpp \
	export.cpp \
	report.cpp \
	device.cpp

unix {
  UI_DIR = .ui
  MOC_DIR = .moc
  OBJECTS_DIR = $$(linuxsys)
  DESTDIR = $$(linuxsys)
}

